/**
 *
 *  Dancing dress NPC
 *  @author Drakkos
 *  @started 31/03/2009
 *
 */
 
#include "path.h"

inherit INHERITS + "betterville_npc";

void setup() {
  set_name ("dress");
  set_short ("beautiful blue dress");
  add_adjective (({"beautiful", "blue"}));
  
  basic_setup ("elemental", "fighter", 50 + random (10));
  
  set_long ("This is a beautiful blue dress.  It appears to be... "
    "mobile without visible support.\n");
  
  // These NPCs come with an inbuilt expiry date.
  call_out ("do_death", 30);
}

/**
 *
 *  This is the the method that gets called during the death process when 
 *  the code needs the corpse object associated with the NPC.  We can 
 *  safely override this to change how the death code should handle the 
 *  corpse.  If we return 0 from this, the death code doesn't bother itself 
 *  with a corpse.  If we return an object, then that object is used as the 
 *  corpse for the NPC.
 *
 *  @returns                The corpse for the NPC, or 0 if none.
 *
 */
object make_corpse() {
  // When we did, send a message to the room.
  tell_room (environment (this_object()), one_short() + " explodes in a spray "
    "of silk!\n");
  
  // Return 0.  No corpse is required.
  return 0;
}